%define squirrelmail_version 1.3.1

Name:           squirrelmail-quota_usage
Version:        1.2.7
Release:        1%{?dist}
Summary:        squirrelmail webmail quota plugin

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.squirrelmail.org/plugin_download.php?id=59&rev=1244
Source0:        quota_usage-%{squirrelmail_version}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       squirrelmail >= %{squirrelmail_version}

%description
This plugin retrieves the currect quota usage from the IMAP
server using the IMAP4 QUOTA extension.  It displays size-based
quotas and/or message-count quotas, as given by the IMAP server.

The quota is displayed above the folder listing, and optionally
as a warning in the Message Of The Day if the quota is above
a configurable "yellow alert" or "critial" level.


%prep
%setup -q -n quota_usage


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/squirrelmail/plugins/quota_usage \
  $RPM_BUILD_ROOT/etc/squirrelmail
rm -f getopt
mv -f config.php.sample $RPM_BUILD_ROOT/etc/squirrelmail/quota_usage_cfg.php
ln -s ../../../../../etc/squirrelmail/quota_usage_cfg.php
cp -arf [a-z]* $RPM_BUILD_ROOT/usr/share/squirrelmail/plugins/quota_usage/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING FAQ INSTALL README
%config(noreplace) /etc/squirrelmail/quota_usage_cfg.php
%dir /usr/share/squirrelmail/plugins/quota_usage/
%dir /usr/share/squirrelmail/plugins/quota_usage/locale
/usr/share/squirrelmail/plugins/quota_usage/locale/*
/usr/share/squirrelmail/plugins/quota_usage/*

%changelog
